Name: gtick
Version: 0.2.6
Release: alt1

Summary: GTick is a GTK+ 2 metronome
Summary(ru_RU.KOI8-R): GTick     GTK+ 2
License: GPL
Group: Sound
Url: http://www.antcom.de/%name

Source: http://savannah.nongnu.org/download/%name/default.pkg/%version/%name-%version.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

# Automatically added by buildreq on Wed Sep 10 2003
BuildRequires: XFree86-libs flex fontconfig freetype2 glib2-devel libatk-devel libexpat libgtk+2-devel libpango-devel libsndfile-devel pkgconfig

%description
GTick is a metronome application written for GNU/Linux and other
UN*X-like operting systems supporting different meters (Even, 2/4, 3/4,
4/4 and more) and speeds ranging from 30 to 250 bpm. It utilizes GTK+ 2
and OSS (ALSA compatible).

%description -l ru_RU.KOI8-R
GTick --  ,   GNU/Linux   UN*X-
      (ޣ, 2/4, 3/4,
4/4  )    30  250   .  
 GTK+ 2    OSS  ALSA.

%prep
%setup -q

%build
%configure \
	--disable-rpath

%make_build

%install
%makeinstall

# menu
%__cat  <<__MENU__ >%name.menu
?package(%name): \
  needs="x11" \
  command="%name" \
  title="GTick" \
  longtitle="A Metronome Application" \
  section="Multimedia/Sound" \
  icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_man1dir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_menudir/*
%doc AUTHORS ChangeLog NEWS THANKS README TODO

%changelog
* Tue Oct 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.6-alt1
- 2.0.6

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.4-alt1
- new version.

* Sat Aug 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt1
- First build for Sisyphus.
- summary, description by avp.
